/* jvrand.h - global header file for the jvrand library
 *
 * Copyright (C) 2001, 2005  Jochen Voss.
 *
 * $Id: jvrand.h 6506 2005-07-06 23:56:55Z voss $ */

#ifndef FILE_JVRAND_H_SEEN
#define FILE_JVRAND_H_SEEN

#define  JVRAND_INTERFACE_VERSION  5

#include <stddef.h>

extern  void  jvrand_init (void);
extern  void  jvrand_set_seed (long int seed);

extern  int  jvrand_discrete (int a, int b);
extern  unsigned  jvrand_geometric (double p);
extern  unsigned  jvrand_poisson (double m);

extern  double  jvrand_uniform (double a, double b);
extern  double  jvrand_standard_normal (void);
extern  double  jvrand_normal (double m, double v);
extern  double  jvrand_exponential (double l);

extern  void  jvrand_shuffle (void *base, size_t count, size_t size);

#endif /* FILE_JVRAND_H_SEEN */
